`timescale  1 ns / 1 ns


module design_top_testench_tf_tf();

// DATE:     18:03:44 03/15/2004 
// MODULE:   design_top
// DESIGN:   design_top
// FILENAME: testench.tf
// PROJECT:  verilog-parallel
// VERSION:  


// Inputs
    reg [17:0] din;
    reg clk;
    reg ce;
    reg rst;


// Outputs
    wire [17:0] dout;


// Bidirs


// Instantiate the UUT
    design_top uut (
        .din(din), 
        .clk(clk), 
        .ce(ce), 
        .rst(rst), 
        .dout(dout)
        );


// Initialize Inputs
    `ifdef auto_init

        initial begin
            din = 0;
            clk = 0;
            ce = 0;
            rst = 1;
        end

    `endif

///////////////////////////
//	  250 Mhz Clock
///////////////////////////
		 
		 initial begin
		 		clk=0;
				forever #2   clk=~clk;
		 end

///////////////////////////
//	  Stimulus
///////////////////////////
            
		 initial begin
		 				
				din = 18'd0;
            ce = 1'b0;
            rst = 1'b1;
		 
		 		#400000

				din = 18'd0;
            ce = 1'b1;
            rst = 1'b0;

				#4

				din = 18'd1;
            ce = 1'b1;
            rst = 1'b0;

				#4

				din = 18'd0;
            ce = 1'b1;
            rst = 1'b0;

				#4

				din = 18'd0;
            ce = 1'b1;
            rst = 1'b0;

				#100000

				//stop simulating
				$stop;
				end

endmodule

